﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace AxisDataTemplateAndFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Data> data = new List<Data>();
            Random r = new Random();

            for (int i = 0; i < 10; i++)
            {
                data.Add(new Data { Label = r.NextDouble(), Value = r.Next(1500000000) });
            }

            DataContext = data;
        }

    }

    public class Data
    {
        public double Label { get; set; }
        public int Value { get; set; }
    }



    public class LabelFormatConerter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            AxisItemDataContext context = value as AxisItemDataContext;
            if (context.Item is Data)
            {
                Data item = context.Item as Data;

                return "(" + item.Label.ToString("e2") + ")";
            }
            else
            {
                double val = (double)context.Item;

                return (val / 1000000000) + " b";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
